@REM ##########################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-T40 IBM License Metric Tool
@REM # 5724-S94 IBM Tivoli Asset Discovery for Distributed
@REM # (C) Copyright IBM Corp. 2002, 2009.
@REM # All Rights Reserved. US Government Users Restricted Rights - Use,
@REM # duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM # For more detailed help, refer to product manual.
@REM ##########################################################################
@ECHO OFF

@REM Installation directory of IBM Websphere Application Server.
SET WAS_HOME=<TLM_WAS_PATH>
	
@REM If this script is run under 64b command line switch to 32b - to get proper "program files" directory
reg query HKLM\Hardware\Description\System\CentralProcessor\0 | Find /i "x86" >nul
IF %errorlevel% EQU 0 GOTO win_32

@echo "%PROGRAMFILES%" | find "(x86)" >nul
IF %errorlevel% EQU 0 GOTO win_32

@REM "switching to 32bit mode"
%windir%\SysWoW64\cmd.exe /c %0 %*
IF %errorlevel% NEQ 0 goto error
goto end

:win_32

	@REM ####### VARIABLES #######
	SET ARGS=%*
	SET ADMIN_WAR_NAME=<ADMIN_WAR_NAME>
	SET TCD_PROGRAM_FILES_PATH=%PROGRAMFILES%
	REM Set CLI Home directory to script directory and remove trailing backslash
	SET CLI_HOME=%~dp0
	SET CLI_HOME=%CLI_HOME:~0,-1%
	SET LMT_WAR_PATH=%WAS_HOME%/systemApps/isclite.ear/%ADMIN_WAR_NAME%
	SET LMT_RES_PATH=%LMT_WAR_PATH%/WEB-INF/lib
	SET CONF_PATH=%LMT_WAR_PATH%/WEB-INF/conf
	SET WAS_RES_PATH=%WAS_HOME%/lib
	SET CLI_LOCAL_LIB=%CLI_HOME%/lib

	@REM ####### PROPERTIES DEFINITONS #######
	SET CLI_PROPERTIES_DEFS=-Ditlm.confPath="%CONF_PATH%"
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -Dcli.confPath="%CLI_HOME%/conf"
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -Dewas.root="%WAS_HOME%"
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -DWRAPPER=viewer
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -DVIEWER_HOME="%CLI_HOME%\logviewer\\"
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -DW32ProgFilesDir="%TCD_PROGRAM_FILES_PATH%"
	SET CLI_PROPERTIES_DEFS=%CLI_PROPERTIES_DEFS% -DTCDAlwaysGetCommonDir="false"
	
	SET TSHELL_PROPERTIES_DEFS=-Dtshell.extensions.classes=com.ibm.license.mgmt.cli.tshellextension.ITLCMAdminServer

	@REM ####### CLASS PATH DEFINITONS #######
	SET CLI_CLASS_PATH=%CLI_LOCAL_LIB%/com.ibm.license.mgmt.cli.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/tivolicommondir.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/jlog.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/jffdc.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%CLI_LOCAL_LIB%/com.ibm.ws.webservices.thinclient_6.1.0.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.license.mgmt.msgandtrace.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.icu_4.0.1.v20090822.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.license.mgmt.util.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.license.mgmt.encryption.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.license.mgmt.srvfrontend.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/com.ibm.license.mgmt.ws.serialization.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/regex4j.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/viewer.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/jlog.jar

	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_cs.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_de.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_es.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_fr.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_hu.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_it.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_ja.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_ko.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_pl.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_pt_BR.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_ru.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_zh_CN.jar
	SET CLI_CLASS_PATH=%CLI_CLASS_PATH%;%LMT_RES_PATH%/resources_zh_TW.jar

	SET PATH=%WAS_HOME%\java\jre\bin;%PATH%

	java -Xmx1024m -Xbootclasspath/a:"%WAS_RES_PATH%/aspectjrt.jar" %TSHELL_PROPERTIES_DEFS% %CLI_PROPERTIES_DEFS% -classpath "%CLI_CLASS_PATH%" com.ibm.license.mgmt.cli.tshell.TShellLauncher %ARGS%
	IF %errorlevel% NEQ 0 goto error
	goto end
	
:error
	echo Error code: %errorlevel%
	exit /B %errorlevel%

:end 