-- ###############################################################################
-- # Licensed Materials - Property of IBM                                        #
-- # 5724-T40 IBM License Metric Tool                                            #
-- # 5725-C68 IBM Tivoli Asset Discovery for Distributed                         #
-- #                                                                             #
-- # (C) Copyright IBM Corp. 2013.  All Rights Reserved.                         #
-- #                                                                             #
-- # US Government Users Restricted Rights - Use, duplication or                 #
-- # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.           #
-- ###############################################################################
CONNECT TO TLMA%
create procedure ADM.GRANT_IF_EXISTS(IN P_SCHEMA VARCHAR(128), IN P_TABLE VARCHAR(128), IN P_GRANT VARCHAR(4096))
P1: begin
-- Grant privileges if schema/table already exists
if exists (SELECT 1 FROM SYSIBM.SYSTABLES WHERE NAME=P_TABLE AND TYPE in ('T','V') AND CREATOR=P_SCHEMA) then
begin
PREPARE stmt1 FROM P_GRANT ;
EXECUTE stmt1;
end;
elseif exists (SELECT 1 FROM SYSIBM.SYSSCHEMATA WHERE NAME=P_SCHEMA) then
begin
PREPARE stmt1 FROM P_GRANT ;
EXECUTE stmt1;
end;
end if;
end P1%
call ADM.GRANT_IF_EXISTS('ADM','AGENT_SCAN_STATUS','GRANT CONTROL ON ADM.AGENT_SCAN_STATUS TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('SWCAT','SIGNATURE','GRANT CONTROL ON SWCAT.SIGNATURE TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','NATIVE_SW','GRANT CONTROL ON ADM.NATIVE_SW TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','VM_MANAGER','GRANT CONTROL ON ADM.VM_MANAGER TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGT_PARTIAL_VM','GRANT CONTROL ON ADM.AGT_PARTIAL_VM TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('CUSTOM','AGENT_V','GRANT CONTROL ON CUSTOM.AGENT_V TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('LIC','CONTROL_VALUES','GRANT CONTROL ON LIC.CONTROL_VALUES TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','PROD_INV','GRANT CONTROL ON ADM.PROD_INV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','DIVISION','GRANT CONTROL ON ADM.DIVISION TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','','GRANT ALTERIN ON SCHEMA VIRT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','','GRANT CREATEIN ON SCHEMA VIRT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','DECOMISSIONING','GRANT CONTROL ON VIRT.DECOMISSIONING TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','INST_NATIVE_SW','GRANT CONTROL ON ADM.INST_NATIVE_SW TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','ROOT','GRANT ALTER ON VIRT.ROOT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGENT_ALIVE','GRANT CONTROL ON ADM.AGENT_ALIVE TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGENT','GRANT CONTROL ON ADM.AGENT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('SWCAT','SWPRODUCT','GRANT CONTROL ON SWCAT.SWPRODUCT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('SWCAT','COMPONENT','GRANT CONTROL ON SWCAT.COMPONENT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','PROD_HINV','GRANT CONTROL ON ADM.PROD_HINV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','SHARED_DISK_INV','GRANT CONTROL ON ADM.SHARED_DISK_INV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGENT_INV','GRANT CONTROL ON ADM.AGENT_INV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGENT_DELETED','GRANT CONTROL ON ADM.AGENT_DELETED TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGGREGATION_SKIPPED_AGENT','GRANT CONTROL ON ADM.AGGREGATION_SKIPPED_AGENT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','CONTROL','GRANT CONTROL ON ADM.CONTROL TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','HOST','GRANT REFERENCES ON VIRT.HOST TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','SHARED_DISK_INFO','GRANT CONTROL ON ADM.SHARED_DISK_INFO TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','VM','GRANT CONTROL ON ADM.VM TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('TLMHW','SAN_ADAPTER','GRANT ALTER ON TLMHW.SAN_ADAPTER TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('CUSTOM','','GRANT CREATEIN,DROPIN ON SCHEMA CUSTOM TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','PVU_PROD_INV','GRANT CONTROL ON ADM.PVU_PROD_INV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('TLMHW','','GRANT CREATEIN ON SCHEMA TLMHW TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','','GRANT CREATEIN ON SCHEMA ADM TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('VIRT','ROOT','GRANT CONTROL ON VIRT.ROOT TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','NODE','GRANT CONTROL ON ADM.NODE TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','AGT_VM_REL','GRANT CONTROL ON ADM.AGT_VM_REL TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('ADM','STG_PROD_INV','GRANT CONTROL ON ADM.STG_PROD_INV TO USER TLMSRV')%
call ADM.GRANT_IF_EXISTS('TLMHW','','GRANT ALTERIN ON SCHEMA TLMHW TO USER TLMSRV')%
drop procedure ADM.GRANT_IF_EXISTS%
select * from syscat.tabauth where GRANTEE='TLMSRV'%
select * from syscat.schemaauth where GRANTEE='TLMSRV'%
DISCONNECT TLMA%
