@REM ###############################################################################
@REM # Licensed Materials - Property of IBM
@REM # 5724-T40 IBM License Metric Tool
@REM # 5724-S94 IBM Tivoli Asset Discovery for Distributed
@REM #
@REM # (C) Copyright IBM Corp. 2011,2013.  All Rights Reserved.
@REM #
@REM # US Government Users Restricted Rights - Use, duplication or
@REM # disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@REM ###############################################################################

@echo off
set TEMP_JAVA=%~2
if NOT "%~2"=="" set TEMP_JAVA=%TEMP_JAVA:)=^^)%

if "%1"=="-javaHome" ( 
	set JAVA_HOME=%TEMP_JAVA%
	goto :next
)

set ZEROGPATH=\Zero G Registry\.com.zerog.registry.xml
set JAVAID="dc44d414-1ef2-11b2-afcc-b6ef25df9157"

findstr "%JAVAID%" "%ProgramFiles(x86)%%ZEROGPATH%" 2>NUL >NUL
if "%ERRORLEVEL%"=="0" (
	set PPATH="%ProgramFiles(x86)%%ZEROGPATH%"
	goto :parse
)

findstr "%JAVAID%" "%ProgramFiles%%ZEROGPATH%" 2>NUL >NUL
if "%ERRORLEVEL%"=="0" (
	set PPATH="%ProgramFiles%%ZEROGPATH%"
	goto :parse
)

findstr "%JAVAID%" "%ProgramW6432%%ZEROGPATH%" 2>NUL >NUL
if "%ERRORLEVEL%"=="0" (
	set PPATH="%ProgramW6432%%ZEROGPATH%"
	goto :parse
)

findstr "%JAVAID%" "c:\Program Files%ZEROGPATH%" 2>NUL >NUL
if "%ERRORLEVEL%"=="0" (
	set PPATH="c:\Program Files%ZEROGPATH%"
	goto :parse
)

goto :javaerror


:parse
for /f "tokens=3,4,5 delims==/ " %%a in ('findstr "%JAVAID%" %PPATH%') do ( 
	if exist "%%a %%b %%c" (

		set JAVA_HOME="%%a %%b %%c"
		goto :next
	) else if exist "%%a %%b" (

		set JAVA_HOME="%%a %%b"
		goto :next
	)
)

goto :javaerror

:next
set JVM=java.exe
set ACFS_PACKAGE_NAME=self_update

rem set JVM_OPT=-DDB2PrivilegesSet.SUPPRESS=true

if exist "%JAVA_HOME%\bin\java.exe" ( 
	set JVM="%JAVA_HOME%\bin\java.exe"
) else if  exist "%JAVA_HOME%\jre\bin\java.exe" (
	set JVM="%JAVA_HOME%\jre\bin\java.exe"
) else (
	goto :javaerror
)

set SCRIPT_DIR=%~dp0

%JVM% -version 2>NUL >NUL
set RC=%ERRORLEVEL%
if "%RC%"=="0" (
	goto :run
) else (
	goto :javaerror
)

:run
call %JVM% %JVM_OPT% -jar "%SCRIPT_DIR%\patchtool.jar" -home "%SCRIPT_DIR%\." -pkgname "%ACFS_PACKAGE_NAME%" -log "%SCRIPT_DIR%\log.txt" %1 %2 %3 %4 %5 %6 %7 %8
set RC=%ERRORLEVEL%

set JVM_OPT=

if not "%RC%"=="0" goto :error
exit /B

:error
echo "ERROR: %RC%"
exit /B %RC%

:javaerror
@echo You must have java bundled with ILMT or...
@echo Run this script like: update.bat -javaHome ^<path to java home^>
@echo Tip: If you have ILMT installed - check for java in ^<LMT^>/_jvm or ^<LMT^>/jre
@echo      If you have base WAS installed - check ^<WAS^>/java
