#!/bin/ksh
############################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5724-S94 IBM Tivoli Asset Discovery for Distributed
#
# (C) Copyright IBM Corp. 2011,2013.
#
# All Rights Reserved. US Government Users Restricted Rights - Use,
# duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
# For more detailed help, refer to product manual.
############################################################################ 

SCRIPT_DIR=`dirname $0`
JVM=java
ACFS_PACKAGE_NAME=self_update
#JVM_OPT=-DDB2PrivilegesSet.SUPPRESS=true
ZEROGFILE=".com.zerog.registry.xml"

if [ "$1" = "-javaHome" ] ; then
   JAVA_HOME=$2
elif [ -f "/var/${ZEROGFILE}" ] ; then
	JAVA_HOME=`grep dc44d414-1ef2-11b2-afcc-b6ef25df9157 "/var/${ZEROGFILE}" | head -n 1 | awk -F'location=' '{ print $2; }' | cut -c 2- | rev | cut -c 68- | rev`
elif [ -f "${HOME}/${ZEROGFILE}" ] ; then
	JAVA_HOME=`grep dc44d414-1ef2-11b2-afcc-b6ef25df9157 "${HOME}/${ZEROGFILE}" | head -n 1 | awk -F'location=' '{ print $2; }' | cut -c 2- | rev | cut -c 68- | rev`
else
	JAVA_HOME=""
fi  

if [ "${JAVA_HOME}" != "" ] ; then
   if [ -f "${JAVA_HOME}/bin/java" ] ; then
      JVM="${JAVA_HOME}/bin/java"
   elif [ -f "${JAVA_HOME}/jre/bin/java" ] ; then
      JVM="${JAVA_HOME}/jre/bin/java"
   else
      JVM=""
   fi
else
   JVM=""
fi

$JVM -version > /dev/null 2>&1
if [ $? != 0 ]
then
print 'You must have java bundled with ILMT or...'
print 'Run this script like: update.sh -javaHome <path to java home>'
print 'Tip: If you have ILMT installed - check for java in <LMT>/_jvm or <LMT>/jre'
print '     If you have base WAS installed - check <WAS>/java'
exit
fi

unset DISPLAY

$JVM $JVM_OPT -jar "${SCRIPT_DIR}/patchtool.jar" -home "${SCRIPT_DIR}/." -pkgname "${ACFS_PACKAGE_NAME}" -log "${SCRIPT_DIR}/log.txt"  $1 $2 $3 $4 $5 $6 $7 $8
